unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, TeEngine, TeeSurfa, ExtCtrls, TeeProcs, Chart,
  StdCtrls, TeeTools, TeeComma;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TSurfaceSeries;
    Memo1: TMemo;
    TeeCommander1: TTeeCommander;
    procedure Series1Click(Sender: TChartSeries; ValueIndex: Integer;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure Series1MouseEnter(Sender: TObject);
    procedure Series1MouseLeave(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Memo1.Lines.Add('SeriesClick fired on ValueIndex: ' + IntToStr(ValueIndex));
end;

procedure TForm1.Series1MouseEnter(Sender: TObject);
begin
  Memo1.Lines.Add('SeriesMouseEnter fired');
end;

procedure TForm1.Series1MouseLeave(Sender: TObject);
begin
  Memo1.Lines.Add('SeriesMouseLeave fired');
end;

end.
